task_stream_extended.h File Reference
`#include "tbb/tbb_stddef.h"`
`#include <deque>`
`#include <climits>`
`#include "tbb/atomic.h"`
`#include "tbb/spin_mutex.h"`
`#include "tbb/tbb_allocator.h"`
`#include "scheduler_common.h"`
`#include "tbb_misc.h"`
Include dependency graph for task_stream_extended.h:

Go to the source code of this file.

## Classes

struct | tbb::internal::queue_and_mutex< T, mutex_t >
| Essentially, this is just a pair of a queue and a mutex to protect the queue. More...
struct | tbb::internal::random_lane_selector
struct | tbb::internal::lane_selector_base
struct | tbb::internal::subsequent_lane_selector
struct | tbb::internal::preceding_lane_selector
class | tbb::internal::task_stream_base
class | tbb::internal::task_stream_accessor< accessor >
class | tbb::internal::task_stream_accessor< back_nonnull_accessor >
class | tbb::internal::task_stream< Levels >
| The container for "fairness-oriented" aka "enqueued" tasks. More...

## Namespaces

| tbb
| The graph class.
| tbb::internal
| Identifiers declared inside namespace internal should never be used directly by client code.

## Enumerations

enum | tbb::internal::task_stream_accessor_type { tbb::internal::front_accessor = 0, tbb::internal::back_nonnull_accessor }

## Functions

void | tbb::internal::set_one_bit (population_t &dest, int pos)
void | tbb::internal::clear_one_bit (population_t &dest, int pos)
bool | tbb::internal::is_bit_set (population_t val, int pos)

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.